import React, {Component} from 'react';
import { View } from 'react-native';
import AudioButton from './AudioButton';
import VideoButton from './VideoButton';
import SwitchCameraButton from './SwitchCameraButton';
import HangUpButton from './HangUpButton';

class ButtonBar extends Component{
    constructor(props){
        super(props);
    }

    render(){
        return(
            <View >

                <View style={this.style.container_background}/>

                <View id="lt_control_container" style={ this.style.lt_control_container }>
                <AudioButton style={this.style.button_style} />
                <VideoButton />
                <SwitchCameraButton />
                <HangUpButton />  
                </View>
            </View>
        )
    }

    style = {
        lt_control_container: { 
            display:'flex', 
            width: '100%', 
            flexDirection: 'row', 
            justifyContent: 'center', 
            alignItems: 'center', 
            flexWrap: 'wrap', 
            position: 'absolute', 
            bottom: 10,
            zIndex: 2 
        },
        container_background:{
            display:'flex', 
            width: '100%',
            height: 100, 
            flexDirection: 'row', 
            justifyContent: 'center', 
            alignItems: 'center', 
            flexWrap: 'wrap', 
            position: 'absolute', 
            bottom: 0,
            zIndex: 2,
            opacity:0.4,
            borderTopLeftRadius: 20,
            borderTopRightRadius: 20,
            backgroundColor: '#2e2f30'
        },
        button_style:{
            
        }
    };
}
export default ButtonBar;