import React, {Component} from 'react';
import { View, TouchableOpacity, Image } from 'react-native';
import JitsiManager from '../lib/JitsiManager';
import { connect } from 'react-redux';

class HangUpButton extends Component{

    onHangUp(){
        this.props.onHangUp();
    }

    renderHangUpIcon(){
        return <TouchableOpacity onPress={()=>this.onHangUp()}><Image style={this.style.lt_control_icon} source={require('../icons/icon_hangup.png')}/></TouchableOpacity>;    
    }

    render(){
        return(
            <View style={this.style.lt_control_view}>
                { this.renderHangUpIcon() }
            </View> 
        )
    }

    style = {
        lt_control_icon: { width: 30, height: 30 },
        lt_control_view: { width: 60, height: 60, margin: 10, backgroundColor: '#ec4c3a', borderRadius: 50, alignItems: 'center', justifyContent:'center' }
    };
}
  
function mapDispatchToProps (dispatch) {
    return {
        onHangUp: () => JitsiManager.onHangUp()
    }
}

export default connect(null, mapDispatchToProps)(HangUpButton)